package com.orangesale.cn.mapper;

import com.orangesale.cn.entity.OrangeSale;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author zhijun
 * @Date 2019/12/13
 */
@Mapper
public interface SaleMapper {
    /**
     * 根据销量查询
     *
     * @return
     */
    List<OrangeSale> getBySalesNum();

    /**
     * 设置商品的销量信息
     */
    Integer updateSalesNum(OrangeSale orangeSale);

    /**
     * 查询商品的销量信息
     *
     * @return
     */
    List<OrangeSale> selectAll();

    /**
     * 插入商品销量信息
     *
     * @param orangeSale
     * @return
     */
    Integer addSalesNum(OrangeSale orangeSale);
}
